{% extends 'base.html' %}
{% load static %}

<head>
  


{% block meta %}
<title>{{page_title}}</title>
{% endblock meta %}

{% block footer_style %}relative{% endblock %}
</head>

<body>

{% block content %}


  
{% if user.is_authenticated %}
    <div class="d-flex flex-column my-3 berita-content">
        <h1 style="text-align: center;"> {{page_title}} </h1>
    <div class="card my-5 border-custom">
      <div class="card-body p-5">


            <form  method = 'POST' class="info" >
                {%csrf_token%}
                {%for form in post_form%}
            
                    <div class = "form-group">
                        {{form.label}}
                        {{form}}
                    </div>
                
                    
                {%endfor%}
                <button class="btn btn-primary" type="submit">Kirim</button>       



                </form>
                {% else %}
                <h4 style="text-align: center;">Harap melakukan Login terlebih dulu untuk dapat memberikan saran.<a href="{% url 'autentikasi:login' %}" class="ml-2">Login sekarang!</a></h4>
          {% endif %}

          </div>
        </div>

      </div>
    </div>
  </div>
  <div class="d-flex flex-column my-3 berita-content">
  <h1 style="text-align: center;"> Kumpulan Saran </h1>

        
        {% for post in posts%}
        <body>
          <div class = "wrapper">
              <div class="item">
                  <div class = "accordion_wrap">
                      <div class = "accordion_header">
                          
                          <div class="content">Saran</div>

                      </div>
                      <div class = "accordion_body">
                        <p class="card-text"><strong>Email :</strong><br>{{ post.email }}</p>
                        <p class="card-text"><strong>Jenis Saran:</strong><br> {{ post.jenis_saran }}</p>
                        <p class="card-text"><strong>Saran:</strong><br>{{post.saran}}</p> 
                      </div>
                  </div>
                  </div>
                </div>
              </body>
        
        {%endfor%}
     </div>
  </div>
</div>
</div>
</body>

{% endblock content %}
{% block js %}

  <script type='text/javascript' src="{% static 'js/jssaran.js'%}"></script>

{% endblock %}
